Package org.springframework.scheduling.config

# Class ContextLifecycleScheduledTaskRegistrar

java.lang.Object
org.springframework.scheduling.config.ScheduledTaskRegistrar
org.springframework.scheduling.config.ContextLifecycleScheduledTaskRegistrar

All Implemented Interfaces:
  `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.beans.factory.SmartInitializingSingleton`, `ScheduledTaskHolder`

public class ContextLifecycleScheduledTaskRegistrar extends ScheduledTaskRegistrar implements org.springframework.beans.factory.SmartInitializingSingleton
`ScheduledTaskRegistrar` subclass which redirects the actual scheduling of tasks to the `afterSingletonsInstantiated()` callback (as of 4.1.2).

Since:
  3.2.1
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from class org.springframework.scheduling.config.ScheduledTaskRegistrar

`CRON_DISABLED`

## Constructor Summary

Constructors
Constructor
Description
`ContextLifecycleScheduledTaskRegistrar()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Calls `ScheduledTaskRegistrar.scheduleTasks()` at bean construction time.
`void`
`afterSingletonsInstantiated()`

### Methods inherited from class org.springframework.scheduling.config.ScheduledTaskRegistrar

`addCronTask, addCronTask, addFixedDelayTask, addFixedDelayTask, addFixedDelayTask, addFixedRateTask, addFixedRateTask, addFixedRateTask, addOneTimeTask, addOneTimeTask, addTriggerTask, addTriggerTask, destroy, getCronTaskList, getFixedDelayTaskList, getFixedRateTaskList, getObservationRegistry, getScheduledTasks, getScheduler, getTriggerTaskList, hasTasks, scheduleCronTask, scheduleFixedDelayTask, scheduleFixedRateTask, scheduleOneTimeTask, scheduleTasks, scheduleTriggerTask, setCronTasks, setCronTasksList, setFixedDelayTasks, setFixedDelayTasksList, setFixedRateTasks, setFixedRateTasksList, setObservationRegistry, setScheduler, setTaskScheduler, setTriggerTasks, setTriggerTasksList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextLifecycleScheduledTaskRegistrar

public ContextLifecycleScheduledTaskRegistrar()

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()
Description copied from class: `ScheduledTaskRegistrar`
Calls `ScheduledTaskRegistrar.scheduleTasks()` at bean construction time.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Overrides:
  `afterPropertiesSet` in class `ScheduledTaskRegistrar`

### afterSingletonsInstantiated

public void afterSingletonsInstantiated()

Specified by:
  `afterSingletonsInstantiated` in interface `org.springframework.beans.factory.SmartInitializingSingleton`